
%global meadversion 1.8.3
%global namedversion 1.8.3.redhat-6
%global meadalpha .redhat_6
%global meadrel .1
%global serial 7

%bcond_without mead

%{?scl:%scl_package apache-commons-beanutils}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/commons-beanutils-eap6}
%{!?scl:%global javadir %{_javadir}/commons-beanutils-eap6}

%define maven_version 1.8.3.redhat-6

Name:           %{?scl_prefix}apache-commons-beanutils%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons BeanUtils
Group:          Development/Java

%if %with mead
Source100: commons-beanutils-1.8.3.redhat-6-scm-sources.zip
Source102: commons-beanutils-1.8.3.redhat-6-javadoc.jar
Source103: commons-beanutils-1.8.3.redhat-6.jar
Source104: commons-beanutils-1.8.3.redhat-6.pom
Source105: commons-beanutils-1.8.3.redhat-6-sources.jar
Source106: commons-beanutils-bean-collections-1.8.3.redhat-6.jar
Source107: commons-beanutils-bean-collections-1.8.3.redhat-6.pom
Source108: commons-beanutils-core-1.8.3.redhat-6.jar
Source109: commons-beanutils-core-1.8.3.redhat-6.pom
%endif

License:        ASL 2.0
URL:            http://commons.apache.org/beanutils/
Provides:       %{?scl_prefix}commons-beanutils%{?eap} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}apache-commons-beanutils%{?eap}-%{namedversion}-%{release}-root

%description
BeanUtils provides an easy-to-use but flexible wrapper around reflection and
introspection.

%prep
%setup -q -n commons-beanutils -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/commons-beanutils-%{namedversion}.jar %{buildroot}%{javadir}/commons-beanutils-%{namedversion}.jar
%{__ln_s} commons-beanutils-%{namedversion}.jar %{buildroot}%{javadir}/commons-beanutils.jar

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt PROPOSAL.html README.txt RELEASE-NOTES.txt STATUS.html
%dir %{javadir}
%{javadir}/commons-beanutils-%{namedversion}.jar
%{javadir}/commons-beanutils.jar

%changelog
* Fri May 23 2014 David Walluck <dwalluck@redhat.com> - 1.8.3-7.redhat_6.1
- fix jar location

* Fri May 23 2014 David Walluck <dwalluck@redhat.com> - 1.8.3-6.redhat_6.1
- Rebuild to get correct release

* Fri May 23 2014 David Walluck <dwalluck@redhat.com> - 1.8.3-2.redhat_6.1
- rebuild to fix release

* Fri May 23 2014 David Walluck <dwalluck@redhat.com> - 1.8.3-1.redhat_6.1
- add SCL support
- add doc

* Wed Jul 31 2013 David Walluck <dwalluck@redhat.com> - 1.8.3-1.11.redhat_3
- fix missing dir ownership
- Provides: commons-beanutils-eap6
- update Group
- update Version/Release for MEAD

* Wed Jul 31 2013 David Walluck <dwalluck@redhat.com> 0:1.8.3-6
- fix missing dir ownership
- Provides: commons-beanutils-eap6
- update Group
- update Version/Release for MEAD

* Wed Apr 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.8.3-5.redhat_1
- EAP6 Wrapper of apache-commons-beanutils
